-- Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
CREATE TABLE sessions (
  sess_id         TEXT PRIMARY KEY,
  type            INT UNSIGNED NOT NULL,
  -- session type (Session::IS_ADMIN, Session::IS_RESELLER, Session::IS_CLIENT...)
  login           TEXT NOT NULL,
  -- cookie value
  ip_address      TEXT NOT NULL,
  -- IP Address number in a dot notation
  ip_dual_stack   TEXT,
  login_time      INT UNSIGNED,
  modified        INT UNSIGNED,
  lifetime        INT UNSIGNED
);

CREATE TABLE SessionContexts (
  contextId   TEXT PRIMARY KEY,
  sessionId   TEXT DEFAULT NULL,
  data        TEXT
);
CREATE INDEX SessionContexts_sessionId ON SessionContexts(sessionId);
